<?php

class Regiao
{
    private $db;

    public function __construct()
    {
        $this->db = new Database();
    }

    public function lerRegioes()
    {
        $this->db->query("SELECT * FROM regioes WHERE removido IS NULL ORDER BY nome");
        return $this->db->resultados();
    }

    public function lerRegiaoPorId($id)
    {
        $this->db->query("SELECT * FROM regioes WHERE id_regioes = :id AND removido IS NULL");
        $this->db->bind("id", $id);
        return $this->db->resultado();
    }

    public function armazenar($dados)
    {
        $this->db->query("
            INSERT INTO regioes (nome, id_usuario)
            VALUES (:nome, :id_usuario)
        ");
        $this->db->bind("nome", $dados['nome']);
        $this->db->bind("id_usuario", $dados['id_usuario']);
        return $this->db->executa();
    }

    public function atualizar($dados)
    {
        $this->db->query("
            UPDATE regioes SET
                nome = :nome,
                alterado = NOW()
            WHERE id_regioes = :id_regioes
        ");
        $this->db->bind("nome", $dados['nome']);
        $this->db->bind("id_regioes", $dados['id_regioes']);
        return $this->db->executa();
    }

    public function remover($id)
    {
        $this->db->query("UPDATE regioes SET removido = NOW() WHERE id_regioes = :id");
        $this->db->bind("id", $id);
        return $this->db->executa();
    }
}
